# Copyright (c) 2021 Autoconf Archive Maintainers <autoconf-archive-maintainers@gnu.org>
#
# Copying and distribution of this file, with or without modification, are
# permitted in any medium without royalty provided the copyright notice and
# this notice are preserved. This file is offered as-is, without any warranty.

2021-02-19  Peter Simons  <simons@cryp.to>

	AX_CHECK_PCRE2: cosmetic change to fix the #serial number

2021-02-19  Michael Orlitzky  <michael@orlitzky.com>

	AX_ABSOLUTE_HEADER: replace AC_FOREACH with m4_foreach_w
	The AC_FOREACH macro is deprecated in favor of m4_foreach_w. This
	eliminates the associated warning in newer versions of autoconf.

2021-02-19  Ignacy Gawedzki  <ignacy.gawedzki@green-communications.fr>

	AX_BOOST_SERIALIZATION: make sure tests run with a clean $ax_lib variable
	The ax_lib variable needs to be emptied before the tests, otherwise it might
	still contain the value from some unrelated previous test.

2021-02-19  Max Horn  <max@quendi.de>

	AX_PROG_CXX_FOR_BUILD: match changes made to AX_PROG_CC_FOR_BUILD recently
	- save/restore GXX
	- honor `./configure --build=BUILD`
	- use AC_LANG_PUSH and AC_LANG_POP to save and restore global variables
	  used for running tests like ac_compile and ac_link
	- use pushdef/popdef to save and restore ac_tool_prefix, cross_compiling
	  and am_cv_CXX_dependencies_compiler_type (not sure if we need the latter
	  but this mimicks what AX_PROG_CC_FOR_BUILD does)

2021-02-19  Matthieu Schaller  <matthieu.schaller@gmail.com>

	AX_LIB_HDF5: fix ax_lib_hdf5 on systems with verbose h5cc -show
	On some systems, the installation of h5cc is such that `h5cc -show` produces
	more than one line. This breaks the macro and produces an invalid Makefile.

	This proposed change just calls `head` before the call to `awk` to make sure
	only the first line (the relevant one) is used.

2021-02-19  Peter Simons  <simons@cryp.to>

	AX_CHECK_PCRE2: search for an installed libpcre2-8 library
	Submitted in <https://savannah.gnu.org/patch/index.php?9900>.

2021-02-19  Zack Weinberg  <zackw@panix.com>

	AX_PTHREAD: use AS_ECHO instead of $as_echo
	AS_ECHO(["text"]) is the documented way to perform an 'echo' safely.
	$as_echo is an internal, undocumented shell variable that was part of
	the implementation of AS_ECHO; it was never intended to be used directly.

	The code in ax_pthread.m4 would work with autoconf 2.69, but with
	unreleased development versions of Autoconf from January 2013 until
	March 2020 (which did not set $as_echo at all) it would have malfunctioned
	unpredictably.  With versions after March 2020 it would work correctly
	but trigger -Wobsolete warnings.

2021-02-19  Jens Rehsack  <sno@netbsd.org>

	AX_PTHREAD: target > host
	Even if cross-compiling is not the most used use-case, it's much more
	important where we build for then where we run configure stage on (see
	autoconf-manual "18.6.3 Hosts and Cross-Compilation").

	AX_PTHREAD.M4: ensure C++ is handled analogous
	Since at least AIX behaves for CC_r/xlC_r as it does for cc_r/xlc_r and so on,
	use the same logic for CXX <-> PTHREAD_CXX as provided for CC <-> PTHREAD_CC
	to avoid code & issue duplication.

2021-02-19  Paul Wise  <pabs3@bonedaddy.net>

	AX_PYTHON: add newer versions of Python
	Python 3.8 was released on 2019-10-14.
	Python 3.9 alpha 1 was released on 2019-11-19.

2021-02-18  Peter Simons  <simons@cryp.to>

	Merge pull request #222 from bircoph/master
	AX_BOOST_BASE: add e2k to the list of lib64 architectures

	Merge pull request #220 from chyla/robot
	add ax_prog_robot.m4

	Merge pull request #219 from CheyenneWills/fallthrough-fix
	ax_gcc_func_attribute.m4: test fails for the fallthrough attribute with clang

	Merge pull request #218 from jicama/master
	ax_cxx_compile_stdcxx.m4: Restore check for default C++ version support

	Merge pull request #217 from rrthomas/ax_cpu_vendor-cache-fix
	ax_cpu_vendor: rename output variable to prevent autoconf warnings

2020-07-14  Michael Shigorin  <mike@altlinux.org>

	AX_BOOST_BASE: add e2k to the list of lib64 architectures

2020-06-02  Adam Chyła  <adam@chyla.org>

	update serial

	fix malformed license section

	remove non ascii characters

	add ax_prog_robot.m4

2020-05-20  Cheyenne Wills  <cheyenne.wills@gmail.com>

	ax_gcc_func_attribute.m4: test fails for the fallthrough attribute with clang
	The test for the fallthrough attribute fails due to other compiler
	warnings when using clang.  The following warnings are generated:

	   warning: no case matching constant switch condition '0'
	   warning: control reaches end of non-void function [-Wreturn-type]

	Because of these additional warnings, the test always results in a
	failure for the fallthrough attribute.

	Update ax_gcc_func_attribute.m4 to eliminate the warnings that are
	masking the test for the fallthrough attribute.

	Note, tested the entire suite of attribute tests using clang and only
	the fallthrough test contained warnings that caused the test to fail.

2020-05-15  Jason Merrill  <jason@redhat.com>

	ax_cxx_compile_stdcxx.m4: Restore check for default C++ version support
	Commit bbb60ca79952c20ee0b187208533d98206b156d1 removed this check because
	it can't support the user requesting noext.  But if the user didn't specify
	ext or noext, using the default mode should be fine.  So this patch restores
	the check if the second argument is empty.

2020-04-18  Reuben Thomas  <rrt@sc3d.org>

	ax_cpu_vendor: rename output variable to prevent autoconf warnings
	The current version of AX_CPU_VENDOR causes autoconf 2.69 to give the
	warning:

	  AC_CACHE_VAL(ax_cpu_vendor, ...): suspicious cache-id, must contain _cv_ to be cached

	Hence, rename ax_cpu_vendor to ax_cv_cpu_vendor.

2020-04-18  Reuben Thomas  <rrt@sc3d.org>

	ax_subdirs_configure.m4: update to make cache files for subdirs work better

2020-03-13  Pau Espin Pedrol  <pespin@sysmocom.de>

	m4/ax_boost_base.m4: Fix debian multiarch_libsubdir path for arch armv7l
	Without this patch, building on an RPI4 ends up with
	BOOST_LDFLAGS=-L/usr/lib while libs are actually under
	/usr/lib/arm-linux-gnueabihf, and configure will later file during
	AX_BOOST_THREAD macro.

2020-03-13  Peter Simons  <simons@cryp.to>

	ax_gcc_func_attribute: fix serial number

	Merge pull request #215 from chenming1986/gcc-attr
	ax_gcc_func_attribute: Revise the detection of unknown attributes

	Merge pull request #207 from jannick0/ax_prog_cc_for_build
	ax_prog_cc_for_build.m4: bug fixes

2020-03-02  Ming Chen  <ming.chen1986@gmail.com>

	ax_gcc_func_attribute: Revise the detection of unknown attributes
	GCC outputs a warning when Wstrict-prototypes is on, in such case the
	attribute detection always fails even if the attribute is actually
	supported. This change checks for the "-Wattributes" warning in
	conftest.err instead of the existence of the file.

2020-02-08  Jannick  <thirdedition@gmx.net>

	ax_prog_cc_for_build.m4: bump serial to 18 (from 9)

	ax_prog_cc_for_build.m4: add call for AC_CANONICAL_BUILD

2020-02-08  Jannick  <thirdedition@gmx.net>

	ax_prog_cc_for_build.m4: use AC_LANG_PUSH([C]) and AC_LANG_POP([C])
	AC_LANG_PUSH([C]) makes sure that the global configure variables (like
	ac_ext, ac_cpp, ac_compile, ac_link, ac_compiler_gnu) required by the internal
	compile and link functions are defined for the C language for the BUILD
	system.  AC_LANG_POP([C]) ensures that the current language before calling
	AX_PROG_CC_FOR_BUILD is restored.

	AC_LANG_PUSH and AC_LANG_POP are preferable over manually defining the
	global ac_... language-related variables (incl. temporary SAVE variables).

	NOTE that any changes to the set of global variables, language specific variables
	(as defined by AC_LANG_PUSH([C]) and AC_LANG_POP([C])) shall be reflected
	in the pushdef/popdef blocks.

2020-02-08  Jannick  <thirdedition@gmx.net>

	ax_prog_cc_for_build.m4: bug fix - determine EXEEXT and OBJEXT for BUILD
	Prior to this commit, the variables ac_exeext and ac_objext remain undefined,
	however they are announced to be passed on to Makefile via the variables
	BUILD_EXEEXT and BUILD_OBJEXT.  For defining the former call the macros
	_AC_COMPILER_EXEEXT and _AC_COMPILER_OBJEXT using the BUILD compiler.

	NOTE: This commit makes use of the **internal** macros _AC_COMPILER_EXEEXT
	and _AC_COMPILER_OBJEXT, which, as of now, appears to be OK if EXEEXT and
	OBJEXT for the BUILD compiler should be determined with AX_PROG_CC_FOR_BUILD.

2020-02-08  Jannick  <thirdedition@gmx.net>

	ax_prog_cc_for_build.m4: bug fix - prevent using HOST cache values
	ax_prog_cc_for_build.m4: push&pop the following variables for BUILD
	which prevents using the HOST cache values:
	- ac_cv_prog_cc_c89
	- am_cv_prog_cc_c_o
	- am_cv_CC_dependencies_compiler_type

2020-02-08  Jannick  <thirdedition@gmx.net>

	ax_prog_cc_for_build.m4: bug fix - run tests with BUILD compiler
	Tested with autoconf 2.69: This is to fix that the compilation tests for
	BUILD use the HOST compiler, regardless of configure's --build flag.

	The compilation test functions in the configure script (like
	'ac_fn_c_try_compile' and 'ac_fn_c_try_cpp') use the global variables
	ac_ext, ac_cpp, ac_compile and ac_link.  Thus, the push&pop technique
	applied prior to this commit implies that the BUILD compilation test
	are run with the HOST compiler.
	Use an old-fashioned variable-save-technique.

2020-02-08  Jannick  <thirdedition@gmx.net>

	ax_prog_cc_for_build.m4: bug fix - honor configure's --build flag
	Prior to this commit, ./configure --build=BUILD is currently ignored, such
	that gcc found first on PATH is detected for BUILD, regardless of what
	was set in the parameter --build.

	This commit fixes this bug and allows to pass a BUILD platform triplet to
	configure which is different from gcc found first on PATH.

	* ax_prog_cc_for_build.m4:
	- use ac_build_tool_prefix defined to the first non-void variable of
	  'build' and 'build_alias' (push and pop).  Note that if configure is not
	  called with --build=BUILD, gcc first found on PATH is used for BUILD.

2020-02-08  Jannick  <thirdedition@gmx.net>

	ax_prog_cc_for_build.m4: add 'GCC_FOR_BUILD' as given in documentation

	ax_prog_cc_for_build.m4: remove reference to obsolete macro 'AC_EXEEXT'
	Cf. https://www.gnu.org/software/autoconf/manual/autoconf-2.69/html_node/Obsolete-Macros.html

2020-02-07  Peter Simons  <simons@cryp.to>

	Merge pull request #204 from cr-marcstevens/master
	Fix ax_pthread.m4: try to include -lpthread in PTHREAD_LIBS for GCC & Clang since automatic usage is not guaranteed

	Merge pull request #208 from rurban/fortify
	ax_add_fortify_source.m4: improve for -Wcpp

2020-01-26  Peter Kokot  <peterkokot@gmail.com>

	Merge pull request #210 from lpsinger/ax_gcc_builtin-cpu_supports
	Add __builtin_cpu_supports and friends to AX_GCC_BUILTIN

	Merge pull request #205 from simark/epoll
	ax_have_epoll: avoid -Wunused-but-set-variable errors

	Merge pull request #211 from icota/2019-12-android-boost-thread
	ax_boost_thread: do not set -pthread on Android

2020-01-06  Peter Kokot  <peterkokot@gmail.com>

	Merge pull request #212 from kvilhaugsvik/sqlite3
	ax_lib_sqlite3: fix "unary operator expected"

	Merge pull request #203 from Sjors/2019/11/want_boost_process
	Use want_boost_process instead of want_boost

	Merge pull request #213 from LocutusOfBorg/fix-boost
	ax_boost_python.m4: fix missing "-l" parameter, resulting into a link…

2020-01-03  Gianfranco Costamagna  <costamagnagianfranco@yahoo.it>

	ax_boost_python.m4: fix missing "-l" parameter, resulting into a link failure when used.
	configuring a project with something like:
	--with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --with-boost-python='boost_python3.7'

	tanslates the build into a "boost_python37" link line

	checking whether boost_python37 is the correct library... yes

	/bin/bash ../libtool  --tag=CXX   --mode=link mpicxx  -Wall -g -O2 -fdebug-prefix-map=/<<PKGBUILDDIR>>=. -fstack-protector-strong -Wformat -Werror=format-security -release 2.3.4  -L/usr/lib/i386-linux-gnu -lboost_system -lpython3.7m -Wl,-z,relro -Wl,-z,now -o libFoundation.la -rpath /usr/lib/i386-linux-gnu libFoundation_la-console.lo libFoundation_la-Counter.lo libFoundation_la-Matrix3.lo libFoundation_la-Quaternion.lo libFoundation_la-vec3.lo libFoundation_la-Timer.lo libFoundation_la-StringUtil.lo libFoundation_la-realdist.lo libFoundation_la-PathSearcher.lo libFoundation_la-Runnable.lo libFoundation_la-PathUtil.lo libFoundation_la-Rng.lo libFoundation_la-BoundingSphere.lo libFoundation_la-BoundingBox.lo libFoundation_la-cube_eq.lo -lboost_filesystem boost_python37 -lpython3.7m -lmpi++ -lmpi

	note the missing "-l" on python, while it is there for the filesystem link.

2020-01-03  Sveinung Kvilhaugsvik  <sveinung84@users.sourceforge.net>

	ax_lib_sqlite3: fix "unary operator expected"

2019-12-31  Igor Cota  <igor@codexapertus.com>

	ax_boost_thread: do not set -pthread on Android
	The android libc, bionic, provides built-in support for pthreads, so no additional linking is necessary.
	Leaving -pthread breaks the build, see protocolbuffers/protobuf#1373

2019-12-29  Leo Singer  <leo.singer@ligo.org>

	Add __builtin_cpu_supports and friends to AX_GCC_BUILTIN
	Add x86 builtins related to cpuid support to AX_GCC_BUILTIN.

2019-12-25  Reini Urban  <rurban@cpan.org>

	ax_add_fortify_source.m4: improve for -Wcpp
	gcc-9 warns when -O is not enabled.

	fix AX_ADD_FORTIFY_SOURCE for msys2
	msys2 just dropped _FORTIFY_SOURCE support.
	See https://github.com/msys2/MINGW-packages/issues/5803
	Try to actually link it.

2019-11-28  Simon Marchi  <simon.marchi@efficios.com>

	ax_have_epoll: avoid -Wunused-but-set-variable errors
	When building with -Werror -Wunused-but-set-variable, the code snippets
	in this file generate a warning, causing the test to spuriously fail.
	Remove the "rc" variables, since they're not used.

	Sample config.log output:

	    configure:22489: checking for Linux epoll(7) interface
	    configure:22515: ccache gcc -o conftest -g3 -O0 -Wall -Werror -Wextra -Wno-type-limits -Wno-missing-declarations -Wno-missing-field-initializers -Wno-si      gn-compare -Wno-implicit-fallthrough -Wno-unused-parameter -I/home/smarchi/install/include -DHAVE_LINUX_VERSION_H -L/home/smarchi/install/lib conftest.c       -lurcu-cds  >&5
	    conftest.c: In function 'main':
	    conftest.c:184:9: error: variable 'rc' set but not used [-Werror=unused-but-set-variable]
	     int fd, rc;
	             ^~
	    cc1: all warnings being treated as errors

2019-11-26  cr-marcstevens  <github@marc-stevens.nl>

	Note that for GCC and Clang -pthread generally implies -lpthread, except when -nostdlib is passed. This is problematic using libtool to build C++ shared libraries with pthread: [1] https://gcc.gnu.org/bugzilla/show_bug.cgi?id=25460 [2] https://bugzilla.redhat.com/show_bug.cgi?id=661333 [3] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=468555 To solve this, first try -pthread together with -lpthread for GCC and Clang.
	Changes:
	- added support for combination "cflags,ldflags" style option to try
	- check for Clang early
	- for GCC and Clang try "-pthread,-lpthread" first, followed by original options (-pthread, etc.)
	- Perform check for Clang flag to suppress warning when linking with -pthread later
	- removed line "ax_pthread_clang_warning=0" (unused)

2019-11-11  Sjors Provoost  <sjors@sprovoost.nl>

	Use want_boost_process instead of want_boost

2019-11-05  Sjors Provoost  <sjors@sprovoost.nl>
	    Luke Dashjr  <luke-jr+git@utopios.org>

	Add ax_boost_process

2019-10-23  Reini Urban  <rurban@cpan.org>

	add AX_GCC_FUNC_ATTRIBUTE(gnu_format)
	newer gcc warns about function might be a candidate for
	gnu_printf format attribute [-Wsuggest-attribute=format]

	Usage: AX_GCC_FUNC_ATTRIBUTE(gnu_format)
	and:
	  #ifdef HAVE_FUNC_ATTRIBUTE_GNU_FORMAT
	    __attribute__ ((format (gnu_printf, 1, 2)))
	  #elif HAVE_FUNC_ATTRIBUTE_FORMAT
	    __attribute__ ((format (printf, 1, 2)))
	  #endif

2019-10-03  Simon Marchi  <simon.marchi@efficios.com>

	ax_pthread.m4: avoid unused-but-set-parameter warning
	With gcc's warning -Wunused-but-set-parameter enabled (which is enabled
	with -Wextra) and -Werror, configuring with the AX_PTHREAD macro fails
	with:

	    configure:6783: checking whether pthreads work with -pthread
	    configure:6877: ccache gcc -o conftest -g3 -O0 -Werror -Wall -Wextra  -fmax-errors=1 -fdiagnostics-color=always -Wall -DGLIB_VERSION_MAX_ALLOWED=GLIB_VERSION_2_22 -pthread   conftest.c   >&5
	    conftest.c: In function 'routine':
	    conftest.c:37:51: error: parameter 'a' set but not used [-Werror=unused-but-set-parameter]
	                             static void routine(void *a) { a = 0; }
	                                                       ^
	    cc1: all warnings being treated as errors

	Change the code to make it use, not only set, the parameter.

2019-09-13  fanquake  <fanquake@gmail.com>

	Improve Boost library error messages

2019-09-05  Henrik Bengtsson  <hb@aroma-project.org>

	BUG FIX: Fixing a _R_CHECK_LENGTH_1_CONDITION_=true bug
	If a package exists, the test for its existence produces an error with _R_CHECK_LENGTH_1_CONDITION_=true (introduced in R 3.4.0), e.g.

	$ _R_CHECK_LENGTH_1_CONDITION_=true R --silent --vanilla -e 'if(is.na(packageDescription("BH"))) stop("not found")'
	> if(is.na(packageDescription("BH"))) stop("not found")
	Error in if (is.na(packageDescription("BH"))) stop("not found") :
	  the condition has length > 1
	Execution halted

	This is because 'is.na(packageDescription("BH"))' resolved to a logical vector of 15(!) FALSE values when package 'BH' is installed.  If it is not installed, then it resolves to TRUE.

	Bumping 'serial' (because that's what other PRs do)

2019-08-31  Quang Vu  <vhquang@gmail.com>

	ax_check_openssl: improve message for openssl lookup

2019-07-17  Geoffrey M Oxberry  <goxberry@gmail.com>

	ax_lapack: add dylib glob to with_lapack
	Prior to this commit, the `with_lapack` case statement checked for
	dynamic libraries with `.so` suffixes (used on *nix operating
	systems), but did not check for dynamic libraries with `.dylib`
	suffixes (used on macOS operating systems). This commit adds globs to
	the `with_lapack` case statement that check for macOS shared libraries
	using `.dylib` suffixes.

	ax_blas: add macOS shared lib globs to with_blas
	Prior to this commit, the `with_blas` case statement checked for
	dynamic libraries with `.so` suffixes (used on *nix operating
	systems), but did not check for dynamic libraries with `.dylib`
	suffixes (used on macOS operating systems). This commit adds globs to
	the `with_blas` case statement that check for macOS shared libraries
	using `.dylib` suffixes.

2019-07-14  Wang Xuerui  <git@xen0n.name>

	ax_boost_base: fix incomplete coverage of MIPS64 systems
	The previous patch was based on an outdated version of the macro, taken
	from nghttp2, that switched on `uname -m` instead of canonicalized host
	arch.  Fix the switch arm so that all MIPS64 regardless of endianness
	and ISA level (like `mipsisa64r6el`) are correctly matched.

2019-07-13  Wang Xuerui  <git@xen0n.name>

	ax_boost_base: fix libsubdirs preference for MIPS64
	Currently there're 3 well-known ABIs in use on MIPS64 systems, with
	the respective libdir as follows:

	* n64: `lib64`,
	* n32: `lib32`,
	* o32: `lib`.

	Probe all three of them.

2019-05-24  Reuben Thomas  <rrt@sc3d.org>

	ax_cc_maxopt.m4: retain setting of CFLAGS by configure
	AX_CC_MAXOPT checks whether CFLAGS was set by the user; if so, the user’s
	setting is respected. This behavior is retained, of course.

	However, AX_CC_MAXOPT was then setting CFLAGS="". This overrode the default
	setting by configure, which usually includes -g. Hence, if CFLAGS was not
	set by the user, retain the default setting, to preserve the ability to
	debug.

	A typical default setting from configure is "-g -O2". This means that
	AX_CC_MAXOPT might typically set CFLAGS to "-g -O2 -O3". This is fine,
	because the later -O3 will override the earlier -O2. (The only assumption is
	that all compilers that AX_CC_MAXOPT knows behave in this sane way.)

2019-05-22  Cedric Cellier  <rixed@happyleptic.org>

	ax_have_qt: workaround qmake bug when building out of tree
	Makefile generated by qmake include paths relative to the build
	directory that is assumed to be current.

2019-05-17  Peter Simons  <simons@cryp.to>

	ax_int128: add canonic formatting for the HTML renderer

2019-05-16  Reuben Thomas  <rrt@sc3d.org>

	ax_int128.m4: new macro AX_HAVE_INT128

2019-04-26  Ralf Habacker  <ralf.habacker@freenet.de>

	ax_have_qt.m4: Fix not getting variables from the generated Makefile on Windows
	Under Windows, the generated Makefile does not contain the required
	information by default, because it is contained in other Makefiles
	for the Release and Debug build variants. It is therefore necessary
	to use only one build variant.

2019-04-23  Jannick  <thirdedition@gmx.net>

	ax_tls.m4: Fix bug and update macros
	- replace obsolete AC_TRY_COMPILE with AC_COMPILE_IFELSE
	- fix bug of empty else branch in shell code when 2nd argument empty
	- Increase serial number from 14 to 15.
	- If second argument to macro AX_TLS is empty or null, the else branch
	  of the generated shell code was empty and caused a shell error. Fix
	  this bug by typing the null statement ':' in this case.
	- Same if first macro argument is null.
	- Add comma in AC_DEFINE description.

2019-03-02  Mischa Spiegelmock  <mischa@mvstg.biz>

	find the resource compiler for Qt5 as well

2019-03-01  Enji Cooper  <yaneurabeya@gmail.com>

	Unbreak testing for `-std=c++11` with `clang++` with `-Werror -Wnon-virtual-dtor`
	Earlier autoconf tests in the [Kyua project](https://github.com/jmmv/kyua)
	enable `-Werror -Wnon-virtual-dtor`, which fails because of the fact that
	the `Base` and `Derived` classes have non-virtual destructors with
	virtual methods. Thus, add a set of virtual destructors for both `Base` and
	`Derived` to quell the error and have `clang++` be properly detected as a
	C++-11 capable compiler.

	Bump serial and add name to copyright for the change.

	Tested with:
	- clang++ 7.0.1
	- g++ 8.2.0

2019-02-18  Reuben Thomas  <rrt@sc3d.org>

	ax_c_arithmetic_rshift.m4: add required call to AC_LANG_SOURCE

2019-02-14  Peter Simons  <simons@cryp.to>

	AX_COMPILER_VENDOR: fix comment formatting

2019-02-14  John Zaitseff  <J.Zaitseff@zap.org.au>

	ax_compiler_vendor.m4: Correct the detection of the IBM compiler

	ax_compiler_vendor.m4: Bump version number and copyright year

	ax_compiler_vendor.m4: Clarify why some compilers are listed early

	ax_compiler_vendor.m4: Make copyright lines consistent with other M4 files

	ax_compiler_vendor.m4: Add detection of the NEC SX compiler

	ax_compiler_vendor.m4: Update macro documentation to mention Fortran

	ax_compiler_vendor.m4: Reformat the macro for readability

	ax_compiler_vendor.m4: Make preprocessor directives start in column 1
	Some compilers require preprocessor directives to start in the first
	column, particularly the Portland PGI Fortran compilers.

	ax_compiler_vendor.m4: Enable detection of the Sun Fortran compilers

	ax_compiler_vendor.m4: Rearrange the Portland PGI compiler detection order
	Although the Portland PGI 18.3 pgcc C compiler is detected correctly, the
	pgc++ C++ compiler is misidentified as gnu: pgc++ obviously defines
	__GNUC__ as well as __PGI, although pgcc does not.

	ax_compiler_vendor.m4: Bug fix: remove superfluous space

2019-02-14  Peter Simons  <simons@cryp.to>

	Trivial cosmetic to make the generator happy.

2019-02-14  John Zaitseff  <J.Zaitseff@zap.org.au>

	ax_cflags_warn_all.m4: Avoid prepending empty flags

2019-02-14  John Zaitseff  <J.Zaitseff@zap.org.au>

	ax_cflags_warn_all.m4: Prepend flags instead of appending them
	With many compilers (such as the Intel C compilers), flags specified
	later in the command line override those specified earlier.
	Unfortunately, this means that the user can no longer specify
	warning-related options on the command line.  This patch fixes this issue
	by using AX_PREPEND_FLAG.

	In particular, this patch allows the user to specify "CFLAGS=-w3" on the
	./configure command line for the Intel C compiler, which will no longer
	be overridden by this macro's "-w2" option.

2019-02-14  John Zaitseff  <J.Zaitseff@zap.org.au>

	ax_prepend_flag.m4: New macro AX_PREPEND_FLAG
	The AX_PREPEND_FLAG macro adds a flag to the front of a flags shell
	variable, similar to how AX_APPEND_FLAG adds such flags to the end.  It
	should be used when adding compiler options that are position dependent:
	where those options that were previously defined (such as by the user on
	the command line) should override thoses added with AX_PREPEND_FLAG.

	ax_cflags_warn_all.m4: Bug fix: modern Intel compilers don't accept "-warn all"

	ax_cflags_warn_all.m4: Bug fix: the PGI compilers do not understand "-Wall"

	ax_cflags_warn_all.m4: Rewrite the documentation to provide greater clarity

	ax_cflags_warn_all.m4: Nicely indent remaining macros

2019-02-14  John Zaitseff  <J.Zaitseff@zap.org.au>

	ax_cflags_warn_all.m4: Rewrite AX_FLAGS_WARN_ALL to use AX_COMPILER_VENDOR
	Using AX_COMPILER_VENDOR allows significantly more robust selection of
	appropriate compiler flags.  In the old code, for example, the Sun
	(Oracle) Compiler Suite would accept Intel's "-warn all" detection, with
	rather disastrous results.

	All current compiler flags are incorporated into the new code without
	modification.

2019-02-14  John Zaitseff  <J.Zaitseff@zap.org.au>

	ax_cflags_warn_all.m4: Bump version number and add new copyright holder

2019-02-14  Peter Simons  <simons@cryp.to>

	AX_PTHREAD: avoid a -Wunused-variable warning on PTHREAD_PRIO_INHERIT
	The PTHREAD_PRIO_INHERIT check can trigger a -Wunused-variable warning, which
	can be turned into an error when -Werror is used, with the consequence that
	PTHREAD_PRIO_INHERIT appears to be missing.

	Suggested by Vincent Lefèvre in https://savannah.gnu.org/patch/?9750.

2019-02-07  Philip Withnall  <withnall@endlessm.com>

	ax_code_coverage: Fix a recursive variable definition

2019-02-05  Ossama Othman  <ossama.othman@intel.com>

	ax_is_release: Support git worktrees.
	Detect git worktrees in the git-directory case.  Git worktrees contain
	a `.git' file rather than a directory.

2019-01-25  Jonas Witschel  <diabonas@gmx.de>

	ax_code_coverage: fix self-referencing variable error in distcheck

2019-01-23  Ignacy Gawędzki  <ignacy.gawedzki@green-communications.fr>

	ax_check_gnu_make: Fix setting of ifGNUmake and ifnGNUmake.
	The addition of support for ifnGNUmake introduced a bug that made
	ifGNUmake be set to "#" in the case GNU Make is detected.

2019-01-23  Christian Feld  <c.feld@fz-juelich.de>

	Identify xlc from version 16 on as `ibm` and not as `clang`.
	xlc from version 16 on does neither define __xlc__, __xlC__, __IBMC__, nor
	__IBMCPP__ by default. Thus, it does not identify as vendor ibm but as clang.
	It does define __ibmxl__, though. Adding this macro to the list of ibm macros
	identifies xlc as ibm again.

	Closes https://github.com/autoconf-archive/autoconf-archive/pull/179.

2018-12-29  Reini Urban  <rurban@cpan.org>

	AX_ASM_INLINE: accept asm also

2018-11-14  Ossama Othman  <ossama.othman@intel.com>

	ax_check_enable_debug: Correct NDEBUG regression.
	Reintroduce change (6e6c447) that addressed NDEBUG redefinition when
	using both the AX_CODE_COVERAGE and AX_CHECK_ENABLE_DEBUG macros.  It
	was lost in the previous patch to ax_check_enable_debug.m4 (d049eeb).

2018-10-30  Ossama Othman  <ossama.othman@intel.com>

	Fix AX_CODE_COVERAGE 'distclean' related comments
	The local Automake distclean target is distclean-local, not
	dist-clean-local.  Update the AX_CODE_COVERAGE macro documentation,
	accordingly.

2018-10-19  Peter Simons  <simons@cryp.to>

	AX_SWIG_ENABLE_CXX: don't set $SWIG unless it was actually detected
	Suggested-by: Christian Ferrari <camauz@yahoo.com>

2018-08-25  Daniel Black  <daniel@linux.ibm.com>

	ax_gcc_archflag: include POWER7 -> POWER10
	POWER6 is missing - couldn't find hardware to test (and it was
	a long time ago).

	Tested on P7 - P9.

	Added POWER10 as its in development and unlikely to change.

	Closes https://github.com/autoconf-archive/autoconf-archive/pull/175.

2018-08-05  Peter Simons  <simons@cryp.to>

	Merge pull request #173 from petk/patch-ac-help-string
	Replace obsolete AC_HELP_STRING with AS_HELP_STRING

2018-08-05  Maximilian Heinzler  <m.heinzler@heinzler.de>

	Fix doxygen error message
	Show the actual unsatisfied dependency instead of repeating the currently tested feature.

2018-07-31  Peter Kokot  <peterkokot@gmail.com>

	Replace obsolete AC_HELP_STRING with AS_HELP_STRING
	Autoconf made several macros obsolete including AC_HELP_STRING somewhere
	in 2003 in Autoconf 2.59 version. Macro should be replaced with
	AS_HELP_STRING.

2018-07-29  Peter Kokot  <peterkokot@gmail.com>

	Merge pull request #170 from petk/patch-ac-compile-1
	Replace AC_TRY_COMPILE and AC_LANG_

2018-07-28  Peter Kokot  <peterkokot@gmail.com>

	Merge pull request #171 from petk/patch-ac-compile-2
	Replace obsolete AC_TRY_COMPILE with AC_COMPILE_IFELSE

	Fix typos

2018-07-27  Peter Kokot  <peterkokot@gmail.com>

	Replace obsolete AC_TRY_COMPILE with AC_COMPILE_IFELSE
	Autoconf made several macros obsolete including the AC_TRY_COMPILE in
	2000 and since Autoconf 2.50:
	http://git.savannah.gnu.org/cgit/autoconf.git/tree/ChangeLog.2

	These macros should be replaced with the current AC_COMPILE_IFELSE
	instead.

	Refs:
	- https://www.gnu.org/software/autoconf/manual/autoconf-2.69/html_node/Obsolete-Macros.html
	- https://www.gnu.org/software/autoconf/manual/autoconf-2.69/html_node/AC_005fACT_005fIFELSE-vs-AC_005fTRY_005fACT.html

2018-07-26  Peter Kokot  <peterkokot@gmail.com>

	Replace AC_TRY_COMPILE and AC_LANG_
	Autoconf 2.50 in 2001 made several macros obsolete. These include macros
	for temporary changing the language - AC_LANG_SAVE, AC_LANG_CPLUSPLUS,
	AC_LANG_C, and AC_LANG_RESTORE. Instead of these the AC_LANG_PUSH and
	AC_LANG_POP macros should be used with later Autoconf versions.

	AC_TRY_COMPILE macros should be replaced with AC_COMPILE_IFELSE.

	Refs:
	- http://git.savannah.gnu.org/cgit/autoconf.git/tree/NEWS
	- https://www.gnu.org/software/autoconf/manual/autoconf-2.69/html_node/Language-Choice.html
	- https://www.gnu.org/software/autoconf/manual/autoconf-2.69/html_node/Obsolete-Macros.html

2018-07-26  Peter Kokot  <peterkokot@gmail.com>

	Replace AC_TRY_LINK and AC_LANG_
	Autoconf 2.50 in 2001 made several macros obsolete. These include macros
	for temporary changing the language - AC_LANG_SAVE, AC_LANG_CPLUSPLUS,
	and AC_LANG_RESTORE. Instead of these the AC_LANG_PUSH and
	AC_LANG_POP macros should be used with later Autoconf versions.

	AC_TRY_LINK macros should be replaced with AC_LINK_IFELSE and
	AC_LANG_PROGRAM.

	Refs:
	- http://git.savannah.gnu.org/cgit/autoconf.git/tree/NEWS
	- https://www.gnu.org/software/autoconf/manual/autoconf-2.69/html_node/Language-Choice.html
	- https://www.gnu.org/software/autoconf/manual/autoconf-2.69/html_node/Obsolete-Macros.html

2018-07-25  Peter Simons  <simons@cryp.to>

	Merge pull request #164 from gdraheim/all-permissive
	all-permissive for macros from Guido Draheim / Maarten Bosmans

	Merge pull request #167 from petk/patch-ac-try-link
	Replace obsolete AC_TRY_LINK macros with AC_LINK_IFELSE

2018-07-24  Peter Kokot  <peterkokot@gmail.com>

	Replace obsolete AC_TRY_LINK_FUNCTION macros
	Autoconf 2.50 introduced new macros in favor of the AC_TRY_FOO. Since
	Autoconf 2.55 the AC_TRY_LINK_FUNC macro has been additionally marked
	as obsolete and suggested to be replaced with AC_LINK_IFELSE and
	AC_LANG_CALL.

	Refs:
	- http://git.savannah.gnu.org/cgit/autoconf.git/tree/NEWS
	- https://www.gnu.org/software/autoconf/manual/autoconf-2.69/html_node/Obsolete-Macros.html

2018-07-24  Peter Kokot  <peterkokot@gmail.com>

	Replace obsolete AC_TRY_LINK macros with AC_LINK_IFELSE
	Autoconf 2.50 (released in 2001) made several macros obsolete including
	the AC_TRY_LINK which should now be replaced with the AC_LINK_IFELSE.

	Refs:
	- https://www.gnu.org/software/autoconf/manual/autoconf-2.69/html_node/AC_005fACT_005fIFELSE-vs-AC_005fTRY_005fACT.html
	- https://www.gnu.org/software/autoconf/manual/autoconf-2.69/html_node/Obsolete-Macros.html

2018-07-23  Peter Kokot  <peterkokot@gmail.com>

	Replace obsolete AC_TRY_CPP with AC_PREPROC_IFELSE
	The AC_TRY_CPP macro has been made obsolete in Autoconf 2.50 which was
	released in 2001. It should be replaced with AC_PREPROC_IFELSE macro.

	Refs:
	- https://www.gnu.org/software/autoconf/manual/autoconf-2.69/html_node/AC_005fACT_005fIFELSE-vs-AC_005fTRY_005fACT.html
	- https://www.gnu.org/software/autoconf/manual/autoconf-2.69/html_node/Running-the-Preprocessor.html

2018-07-23  Peter Kokot  <peterkokot@gmail.com>

	Replace obsolete AC_TRY_RUN with AC_RUN_IFELSE
	Autoconf made several macros obsolete including the AC_TRY_RUN and in
	2000 and since Autoconf 2.50:
	http://git.savannah.gnu.org/cgit/autoconf.git/tree/ChangeLog.2

	These macros should be replaced with the current AC_RUN_IFELSE instead.

	This patch was created with the help of the autoupdate script.

	Reference docs:
	- https://www.gnu.org/software/autoconf/manual/autoconf-2.69/html_node/Obsolete-Macros.html
	- https://www.gnu.org/software/autoconf/manual/autoconf-2.59/autoconf.pdf

2018-07-22  Guido Draheim  <guidod@gmx.de>

	all-permissive for macros from Guido Draheim / Maarten Bosmans

	all-permissive for macros from Guido Draheim / Maarten Bosmans

	all-permissive for macros from Guido Draheim / Maarten Bosmans

	all-permissive for macros from Guido Draheim / Maarten Bosmans

	all-permissive for macros from Guido Draheim / Maarten Bosmans

2018-07-21  Guido Draheim  <guidod@gmx.de>

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

	all-permissive for macros from Guido Draheim (only author)

2018-07-16  Wolfgang Stöggl  <c72578@yahoo.de>

	AX_BOOST_BASE: add powerpc64 powerpc64le to archs
	- Add further possibilities for values of $host_cpu.
	  This fixes issues in distros like Fedora, where
	  $host_cpu is powerpc64 for ppc64 and powerpc64le for ppc64le

	Closes https://github.com/autoconf-archive/autoconf-archive/pull/162.

2018-06-30  Stefan Weil  <sw@weilnetz.de>

	AX_CHECK_COMPILE_FLAG: released under all-permissive license
	Replace GPL3 + Autoconf exception by all-permissive license.

	See discussion at https://github.com/tesseract-ocr/tesseract/pull/1559.

2018-06-30  Stefan Weil  <sw@weilnetz.de>

	Fix typos found by codespell

2018-06-08  Will Thompson  <will@willthompson.co.uk>

	ax_compiler_flags_cflags: fix disabling C-only warnings
	https://github.com/autoconf-archive/autoconf-archive/pull/147 introduced
	a regression where, because -Wdeclaration-after-statement etc. are
	appended to the compile flags after the user-supplied list of warnings
	to disable, it is impossible to disable these warnings.

2018-05-29  Carnë Draug  <carandraug+dev@gmail.com>

	ax_jni_include_dir.m4: require AC_CANONICAL_HOST to make host_os available

2018-05-21  Alexander Lakhin  <exclusion@gmail.com>

	ax_lib_postgresql: Double-quote the literal with square brackets

2018-05-05  Krzesimir Nowak  <qdlacz@gmail.com>

	Some cleanups in C++17 checking code
	There is a released version of clang that supports C++17, so drop all
	the ifdefs that made clang to skip some checks.

	Also, a __cplusplus macro is specified to expand to 201703L, so fix
	the check accordingly.

2018-04-21  Andreas Schwab  <schwab@suse.de>

	AX_BOOST_BASE: add riscv64 to the list of lib64 architectures

2018-04-19  Krzesimir Nowak  <krzesimir@kinvolk.io>

	ax_cxx_compile_stdcxx.m4: Drop the check for default C++ version support
	The problem with the check is that it can't detect whether the version
	is with extensions or not. So it can't take the "noext" or "ext"
	option into account.

	This may be a problem when an extended version of C++ has a feature
	that conflicts with another feature from the C++ standard and we have
	no way to tell the macro to add a "-std" flag anyway.

	An example:

	    using namespace std::complex_literals;
	    std::complex<double> c = 1.0;
	    c += 1.0i;
	    std::cout << "abs" << c << " = " << abs(c) << '\n';

	Here, the "1.0i" constant is either a GCC extension if compiled with
	-std=gnu++14 or a standard C++ operator if compiled with
	-std=c++14. If a GCC extension is used, the snippet fails to
	compile. Unfortunately, recent GCC versions default to gnu++14, so
	this code fails to compile by default.

	Dropping the check forces the macro to evaluate compiler flags with
	taking the "ext"/"noext" option into account.

	Issue spotted by Frédéric Mangano-Tarumi.

2018-03-23  Peter Hill  <zed.three@gmail.com>

	AX_LIB_HDF5: fix order of flags
	When iterating over flags from h5cc, the HDF5_{CPPFLAGS,LDFLAGS,LIBS}
	variables were assembled in reverse order. This causes problems when
	linking against static libraries

2018-03-20  Peter Simons  <simons@cryp.to>

	AX_CODE_COVERAGE: re-format header into canon layout

	Merge remote-tracking branch 'github/master'

2018-03-19  Bastien Roucariès  <bastien.roucaries+debian@gmail.com>

	Use non localised date for ax_am_macros
	Do not punk utf-8 in Makefile due to date

2018-03-18  Bastien Roucariès  <bastien.roucaries+debian@gmail.com>
[--snip--]
